PETSc version 3.15.5
Fix/Edit manual page

# KSPGuessFormGuess

Form the initial guess

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessFormGuess(KSPGuess guess, Vec rhs, Vec sol)

Collective on guess

### Input Parameter

| guess | - the initial guess context
| rhs | - the current rhs vector
| sol | - the initial guess vector

### See Also

KSPGuessCreate(), KSPGuess

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessFormGuess_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages